require "#{RAILS_ROOT}/../console-auth/lib/console_auth"

if ::ConsoleAuth.active?
  Dir["#{RAILS_ROOT}/../console-auth/vendor/rubygems/gems/*"].each do |gem|
    $:.unshift File.join( gem, 'lib' )
  end

  require "#{RAILS_ROOT}/../console-auth/lib/cas_client"
  require 'logger'

  ::ConsoleAuth.init

  Rails.configuration.middleware.insert_after ActionController::Session::CookieStore,
    Rack::Cas::Client,
    :cas_base_url => ::ConsoleAuth.cas_base_url,
    :session_dir => './tmp/sessions',
    :logger => Logger.new('/var/log/pe-console-auth/cas_client.log'),
    :cas_port => ::ConsoleAuth.get_config['authentication']['cas_port'],
    :allow_unauthenticated_urls => ::ConsoleAuth.unauthenticated_restrictions
end
